<div class="flight-engine">
  <div class="container">
    <div class="tabing">
      <!-- <ul>
         <li><a class="active" href="#1"><i class="fa fa-plane" aria-hidden="true"></i> Flight</a>
         </li>
         <li><a href="#2"><i class="fa fa-plane" aria-hidden="true"></i> Flight</a>
         </li>
       </ul> -->
      <div class="tab-content">
        <tabset>
          <tab heading="Origin/Destination">
            <form (ngSubmit)="heroForm.form.valid && getFlightDetails()" #heroForm="ngForm" novalidate>
              <div class="flight-tab row">
                <div class="persent-one">
                  <i class="fa fa-map-marker" aria-hidden="true"></i>
                  <input type="text" name="origin" #origin="ngModel" class="textboxstyle" id="dep" placeholder="Origin"
                    [(ngModel)]="flight.origin" required>
                  <div *ngIf="heroForm.submitted && origin.invalid" class="invalid-feedback">
                    <div *ngIf="origin.errors.required" class="alert alert-danger">Origin is required</div>
                  </div>
                </div>
                <div class="persent-one">
                  <i class="fa fa-map-marker" aria-hidden="true"></i>
                  <input type="text" name="dep" class="textboxstyle" id="arival" placeholder="Destination"
                    [(ngModel)]="flight.destination" #dep="ngModel" required>
                  <div *ngIf="heroForm.submitted && dep.invalid" class="invalid-feedback">
                    <div *ngIf="dep.errors.required" class="alert alert-danger">Destination is required</div>
                  </div>
                </div>
                <div class="persent-one less-per">
                  <i class="fa fa-calendar" aria-hidden="true"></i>
                  <!-- <input type="text" name="dep" class="textboxstyle" id="from-date1" placeholder="Depart"> -->
                  <input type="text" placeholder="Departure" class="textboxstyle" bsDatepicker name="departure"
                    [(ngModel)]="flight.departs" [bsConfig]="bsConfig" #departure="ngModel" required>
                  <div *ngIf="heroForm.submitted && departure.invalid" class="invalid-feedback">
                    <div *ngIf="departure.errors.required" class="alert alert-danger">Date is required</div>
                  </div>
                </div>

                <div class="persent-one less-btn">
                  <input type="Submit" name="submit" value="Search" class="btn btn-info btn-md" id="srch">
                </div>
              </div>
            </form>
            <!-- flight tab -->
          </tab>
          <!-- tab 1 -->
          <tab class="tab1" heading="Flight Number">
            <form (ngSubmit)="heroForm1.form.valid && getFlightDetailsByNumber()" #heroForm1="ngForm" novalidate>
              <div class="flight-tab row">
                <div class="persent-one">
                  <i class="fa fa-map-marker" aria-hidden="true"></i>
                  <input type="text" name="flightN" class="textboxstyle" id="dep" placeholder="Flight Number"
                    [(ngModel)]="flightNum.flightNumber" #flightN="ngModel" required>

                  <div *ngIf="heroForm1.submitted && flightN.invalid" class="invalid-feedback">
                    <div *ngIf="flightN.errors.required" class="alert alert-danger">Date is required</div>
                  </div>
                </div>

                <div class="persent-one less-per">
                  <i class="fa fa-calendar" aria-hidden="true"></i>
                  <!-- <input type="text" name="dep" class="textboxstyle" id="from-date1" placeholder="Depart"> -->
                  <input type="text" placeholder="Departure" class="textboxstyle" bsDatepicker
                    [(ngModel)]="flightNum.departs" [bsConfig]="bsConfig" name="departur" #departur="ngModel" required>

                  <div *ngIf="heroForm1.submitted && departur.invalid" class="invalid-feedback">
                    <div *ngIf="departur.errors.required" class="alert alert-danger">Departure is required</div>
                  </div>
                </div>

                <div class="persent-one less-btn">
                  <input type="Submit" name="submit" value="Search" class="btn btn-info btn-md">
                </div>
              </div>
              <!-- flight tab -->
            </form>
          </tab>
          <!-- tab 1 -->
        </tabset>
      </div>
    </div>
    <!-- tab content -->

  </div>
  <!-- tabbing -->
</div>

<div class="container">

  <div *ngIf="success">
    <table class="table">
      <thead>
        <tr>
          <th scope="col">Aircraft</th>
          <th scope="col">Arrival</th>
          <th scope="col">Distance</th>
          <th scope="col">TravelTime</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let resp of flightList">
          <td>{{resp.aircraft}}</td>
          <td>{{resp.arrival | date: 'dd/MM/yyyy h:mm a'}}</td>
          <td>{{resp.distance}}</td>
          <td>{{resp.travelTime}}</td>
        </tr>
      </tbody>
    </table>

  </div>
  <div *ngIf="!success">
    {{errorResponse}}
  </div>
</div>